<%@ page import="com.alibaba.fastjson.JSONObject" %>
<%@ page import="com.time.util.DateUtil" %>
<%@ page import="java.util.*" %>
<%@ page import="weaver.conn.RecordSet" %>
<%@ page import="weaver.general.Util" %>
<%@ page import="com.engine.workflow.biz.requestForm.FileBiz" %>
<%@ page import="weaver.hrm.User" %>
<%@ page import="weaver.hrm.HrmUserVarify" %>


<%--
  User: wangj
  Design Ideas：
  铭沣-根据证件号获取人员简历表中的附件信息
    表名：uf_rzygxxb
    需要：根据证件号获取人员简历表中的附件信息

--%>
<%@ page contentType="text/html;charset=UTF-8" %>
<%

    JSONObject data = new JSONObject();
    RecordSet rs = new RecordSet();
    User user = HrmUserVarify.getUser(request,response);
    boolean flag = false;
    String zjhm = Util.null2String(request.getParameter("zjhm"));
    String dzzjz = "";
    //根据手机号查询候选人信息id
    String sql = "select dzzjz from uf_rzygxxb where zjhm = '"+zjhm+"'";
    rs.execute(sql);
    while (rs.next()) {
        dzzjz = Util.null2String(rs.getString("dzzjz"));
    }

    if(!"".equals(dzzjz)){
        flag = true;
        Object obj = getFileDataList(dzzjz,1,user);
        data.put("obj",obj);
    }
    data.put("flag",flag);
    data.put("dzzjz",dzzjz);
    out.print(data.toJSONString());
%>
<%!
    public static Object getFileDataList(String docIds, int type, User user){
        return  FileBiz.getFileFieldSpecialObj(docIds,type,new HashMap<>(),user);

    }
%>

